import require$$0, { useState, useEffect } from "react";
import * as echarts from "echarts";
import axios from "axios";
import AlarmON from "tuyang-alarm";
function _arrayWithHoles(arr) {
  if (Array.isArray(arr))
    return arr;
}
function _iterableToArrayLimit(arr, i) {
  var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];
  if (_i == null)
    return;
  var _arr = [];
  var _n = true;
  var _d = false;
  var _s, _e;
  try {
    for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) {
      _arr.push(_s.value);
      if (i && _arr.length === i)
        break;
    }
  } catch (err) {
    _d = true;
    _e = err;
  } finally {
    try {
      if (!_n && _i["return"] != null)
        _i["return"]();
    } finally {
      if (_d)
        throw _e;
    }
  }
  return _arr;
}
function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length)
    len = arr.length;
  for (var i = 0, arr2 = new Array(len); i < len; i++) {
    arr2[i] = arr[i];
  }
  return arr2;
}
function _unsupportedIterableToArray(o, minLen) {
  if (!o)
    return;
  if (typeof o === "string")
    return _arrayLikeToArray(o, minLen);
  var n2 = Object.prototype.toString.call(o).slice(8, -1);
  if (n2 === "Object" && o.constructor)
    n2 = o.constructor.name;
  if (n2 === "Map" || n2 === "Set")
    return Array.from(o);
  if (n2 === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n2))
    return _arrayLikeToArray(o, minLen);
}
function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _slicedToArray(arr, i) {
  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
}
var index$1 = "";
var jsxRuntime = { exports: {} };
var reactJsxRuntime_production_min = {};
/**
 * @license React
 * react-jsx-runtime.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var f = require$$0, k = Symbol["for"]("react.element"), l = Symbol["for"]("react.fragment"), m = Object.prototype.hasOwnProperty, n = f.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentOwner, p = {
  key: true,
  ref: true,
  __self: true,
  __source: true
};
function q(c, a, g) {
  var b, d = {}, e = null, h = null;
  void 0 !== g && (e = "" + g);
  void 0 !== a.key && (e = "" + a.key);
  void 0 !== a.ref && (h = a.ref);
  for (b in a) {
    m.call(a, b) && !p.hasOwnProperty(b) && (d[b] = a[b]);
  }
  if (c && c.defaultProps)
    for (b in a = c.defaultProps, a) {
      void 0 === d[b] && (d[b] = a[b]);
    }
  return {
    $$typeof: k,
    type: c,
    key: e,
    ref: h,
    props: d,
    _owner: n.current
  };
}
reactJsxRuntime_production_min.Fragment = l;
reactJsxRuntime_production_min.jsx = q;
reactJsxRuntime_production_min.jsxs = q;
{
  jsxRuntime.exports = reactJsxRuntime_production_min;
}
const jsx = jsxRuntime.exports.jsx;
const jsxs = jsxRuntime.exports.jsxs;
const Fragment = jsxRuntime.exports.Fragment;
var EquipmentOverview = function EquipmentOverview2() {
  var _useState = useState([{
    index: 1,
    name: "\u5217\u8868"
  }, {
    index: 2,
    name: "\u6295\u5730"
  }, {
    index: 3,
    name: "\u6536\u85CF"
  }, {
    index: 4,
    name: "\u89C6\u9891\u5DE1\u903B"
  }]), _useState2 = _slicedToArray(_useState, 1), urlData = _useState2[0];
  var _useState3 = useState(true), _useState4 = _slicedToArray(_useState3, 2);
  _useState4[0];
  _useState4[1];
  var _useState5 = useState(5), _useState6 = _slicedToArray(_useState5, 2), current = _useState6[0], setCurrent = _useState6[1];
  var _useState7 = useState(0), _useState8 = _slicedToArray(_useState7, 2);
  _useState8[0];
  _useState8[1];
  var _useState9 = useState("realTime"), _useState10 = _slicedToArray(_useState9, 2);
  _useState10[0];
  _useState10[1];
  var _useState11 = useState(0), _useState12 = _slicedToArray(_useState11, 2);
  _useState12[0];
  _useState12[1];
  var _useState13 = useState(1564), _useState14 = _slicedToArray(_useState13, 2), EquipmentSum = _useState14[0], setEquipmentSum = _useState14[1];
  var _useState15 = useState([]), _useState16 = _slicedToArray(_useState15, 2), Equipmentlist = _useState16[0], setEquipmentlist = _useState16[1];
  var _useState17 = useState([1853]), _useState18 = _slicedToArray(_useState17, 2), online = _useState18[0], setonline = _useState18[1];
  var _useState19 = useState([52]), _useState20 = _slicedToArray(_useState19, 2), offline = _useState20[0], setoffline = _useState20[1];
  useEffect(function() {
    EquipmentlistAX();
    Equipmentonoff();
    setTimeout(function() {
      getChart1();
      getChart2();
    }, 1);
  }, []);
  var changeUrl = function changeUrl2(item, index2) {
    console.log("\u9009\u62E90", item, index2);
  };
  var EquipmentlistAX = function EquipmentlistAX2() {
    axios.get("http://172.23.0.237:9010/api/device/camera/list").then(function(res) {
      console.log(res.data.data, "\u8BBE\u5907\u5217\u8868");
      setEquipmentlist(res.data.data);
      setEquipmentSum(res.data.data.length);
    });
  };
  var Equipmentonoff = function Equipmentonoff2() {
    axios.post("http://172.23.0.237:9010/api/device/camera/status", []).then(function(res) {
      console.log(res.data.data, "\u8BBE\u5907\u72B6\u6001");
      var pro = res.data.data;
      var online2 = [];
      var offline2 = [];
      pro.map(function(item, index2) {
        if (item.status == 0) {
          offline2.push(item.status);
        } else if (item.status == 1) {
          online2.push(item.status);
        } else {
          console.log("\u672A\u77E5");
        }
      });
      setTimeout(function() {
        setonline(online2.length);
        setoffline(offline2.length);
      }, 10);
    });
  };
  var getChart1 = function getChart12() {
    var chartDom = document.getElementById("chart1");
    var myChart = echarts.init(chartDom);
    var option = {
      tooltip: {
        trigger: "item"
      },
      grid: {
        left: "8%",
        right: "8%",
        bottom: "1%",
        containLabel: true
      },
      series: [{
        type: "pie",
        radius: ["40%", "70%"],
        data: [{
          value: online,
          name: "\u5728\u7EBF\u6570"
        }, {
          value: offline,
          name: "\u79BB\u7EBF\u6570"
        }],
        color: ["#10CAFD", "#FFD978"],
        label: {
          show: false,
          position: "center"
        },
        emphasis: {
          label: {
            show: false
          }
        }
      }]
    };
    option && myChart.setOption(option);
  };
  var getChart2 = function getChart22() {
    var chartDom = document.getElementById("chart2");
    var myChart = echarts.init(chartDom);
    var option = option = {
      animation: true,
      grid: {
        top: "5%",
        bottom: "15%",
        right: "5%"
      },
      tooltip: {
        show: true
      },
      xAxis: {
        data: ["05/14", "05/15", "05/16", "5/17", "5/18", "5/19", "5/20"],
        axisLine: {
          show: true
        },
        axisTick: {
          show: true
        },
        splitLine: {
          show: true,
          lineStyle: {
            color: "rgba(77, 128, 254, 0.2)",
            width: 2
          }
        },
        axisLabel: {
          show: true,
          interval: 0,
          fontSize: 13,
          textStyle: {
            color: "#a8d5ff"
          }
        }
      },
      yAxis: [{
        type: "value",
        gridIndex: 0,
        min: 0,
        interval: 100,
        splitLine: {
          show: true,
          lineStyle: {
            color: "rgba(77, 128, 254, 0.2)",
            width: 2
          }
        },
        axisTick: {
          show: false
        },
        axisLine: {
          show: true,
          lineStyle: {
            color: "rgba(77, 128, 254, 0.2)"
          }
        },
        axisLabel: {
          show: true,
          margin: 14,
          fontSize: 13,
          textStyle: {
            color: "#a8d5ff"
          }
        }
      }],
      series: [{
        name: "\u8BBE\u5907\u5728\u7EBF\u7387",
        type: "bar",
        barWidth: 16,
        itemStyle: {
          normal: {
            label: {
              show: true,
              position: "top",
              textStyle: {
                color: "#fff",
                fontSize: 16
              }
            },
            color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
              offset: 0,
              color: "rgba(146, 225, 255, 1)"
            }, {
              offset: 1,
              color: "rgba(0, 151, 251, 1)"
            }])
          }
        },
        data: [498, 520, 568, 432, 464, 332, 344, 458, 470, 468, 398, 310, 421],
        z: 10,
        zlevel: 0
      }, {
        type: "pictorialBar",
        itemStyle: {
          normal: {
            color: "#0F375F"
          }
        },
        symbolRepeat: "fixed",
        symbolMargin: 6,
        symbol: "rect",
        symbolClip: true,
        symbolSize: [18, 2],
        symbolPosition: "start",
        symbolOffset: [1, 1],
        data: [498, 520, 568, 432, 464, 332, 344, 458, 470, 468, 398, 310, 421],
        width: 2,
        z: 0,
        zlevel: 1
      }, {
        name: "\u5916\u6846",
        type: "bar",
        barGap: "-110%",
        data: [100, 100, 100, 100, 100, 100, 100],
        barWidth: 16,
        itemStyle: {
          normal: {
            color: "transparent",
            label: {
              show: false,
              position: "top"
            }
          }
        },
        z: 0
      }, {
        name: "\u80CC\u5F71",
        type: "line",
        smooth: true,
        showAllSymbol: false,
        symbolSize: 0,
        lineStyle: {
          width: 0
        },
        areaStyle: {
          color: "rgba(0, 151, 251, 0.1)"
        },
        data: [498, 520, 568, 432, 464, 332, 344, 458, 470, 468, 398, 310, 421],
        z: 5
      }]
    };
    option && myChart.setOption(option);
  };
  var clickOnDevice = function clickOnDevice2(index2) {
    setCurrent(index2);
  };
  return /* @__PURE__ */ jsx(Fragment, {
    children: /* @__PURE__ */ jsxs("div", {
      className: "leftBox",
      children: [/* @__PURE__ */ jsxs("div", {
        className: "general_situation",
        children: [/* @__PURE__ */ jsx("div", {
          className: "title",
          children: "\u8BBE\u5907\u6982\u51B5"
        }), /* @__PURE__ */ jsxs("div", {
          className: "ebox",
          children: [/* @__PURE__ */ jsx("div", {
            id: "chart1"
          }), /* @__PURE__ */ jsxs("div", {
            className: "num",
            children: [/* @__PURE__ */ jsx("span", {
              children: EquipmentSum
            }), /* @__PURE__ */ jsx("span", {
              children: "\u8BBE\u5907\u603B\u6570"
            })]
          })]
        }), /* @__PURE__ */ jsxs("div", {
          className: "mainText",
          children: [/* @__PURE__ */ jsxs("div", {
            className: "topText bothText",
            children: [/* @__PURE__ */ jsxs("div", {
              className: "online",
              children: [/* @__PURE__ */ jsx("span", {}), /* @__PURE__ */ jsx("span", {
                children: "\u5728\u7EBF\u6570"
              })]
            }), /* @__PURE__ */ jsxs("div", {
              className: "unit",
              children: [/* @__PURE__ */ jsx("span", {
                children: online
              }), /* @__PURE__ */ jsx("span", {
                children: "/\u53F0"
              })]
            })]
          }), /* @__PURE__ */ jsxs("div", {
            className: "bottomText bothText",
            children: [/* @__PURE__ */ jsxs("div", {
              className: "unline",
              children: [/* @__PURE__ */ jsx("span", {}), /* @__PURE__ */ jsx("span", {
                children: "\u79BB\u7EBF\u6570"
              })]
            }), /* @__PURE__ */ jsxs("div", {
              className: "unit",
              children: [/* @__PURE__ */ jsx("span", {
                children: offline
              }), /* @__PURE__ */ jsx("span", {
                children: "/\u53F0"
              })]
            })]
          })]
        })]
      }), /* @__PURE__ */ jsxs("div", {
        className: "videoBox",
        children: [/* @__PURE__ */ jsx("div", {
          className: "title",
          children: "\u89C6\u9891\u76D1\u63A7"
        }), /* @__PURE__ */ jsx("ul", {
          className: "choose",
          children: urlData.map(function(item, index2) {
            return /* @__PURE__ */ jsx("li", {
              onClick: function onClick() {
                return changeUrl(item, index2);
              },
              children: item.name
            }, index2);
          })
        }), /* @__PURE__ */ jsxs("div", {
          className: "shebeiContent",
          children: [/* @__PURE__ */ jsxs("div", {
            className: "search_input",
            children: [/* @__PURE__ */ jsx("input", {
              type: "text",
              placeholder: "\u5FEB\u901F\u641C\u7D22"
            }), /* @__PURE__ */ jsx("img", {
              src: require("../../img/search.png"),
              alt: ""
            })]
          }), /* @__PURE__ */ jsx("ul", {
            className: "shebeiList",
            children: Equipmentlist.map(function(item, index2) {
              return /* @__PURE__ */ jsxs("li", {
                className: current === index2 ? "checkedActive" : null,
                onClick: function onClick() {
                  return clickOnDevice(index2);
                },
                children: [/* @__PURE__ */ jsx("span", {
                  children: item.camera_name
                }), item === "s" ? /* @__PURE__ */ jsx("img", {
                  src: require("../../img/onlineStars.png"),
                  alt: ""
                }) : /* @__PURE__ */ jsx("img", {
                  src: require("../../img/offlineStarts.png"),
                  alt: ""
                })]
              }, index2);
            })
          })]
        })]
      })]
    })
  });
};
var index = "";
var style$1 = "";
var style = "";
var oWebControl = null;
var initCount = 0;
var HikVideo = function HikVideo2(props) {
  console.log(props, "\u4F20\u503C");
  var _useState = useState(true), _useState2 = _slicedToArray(_useState, 2), show = _useState2[0], setShow = _useState2[1];
  useEffect(function() {
    if (props) {
      initPlugin(props).then(function(res) {
        startPreview(props.msgdata);
      });
    }
    setTimeout(function() {
    }, 10);
  }, [props]);
  var initPlugin = function initPlugin2(props2) {
    return new Promise(function(resolve, reject) {
      oWebControl = new window.WebControl({
        szPluginContainer: "playWnd",
        iServicePortStart: 15900,
        iServicePortEnd: 15909,
        szClassId: "23BF3B0A-2C56-4D97-9C03-0CB103AA8F11",
        cbConnectSuccess: function cbConnectSuccess() {
          oWebControl.JS_StartService("window", {
            dllPath: "./VideoPluginConnect.dll"
          }).then(function() {
            setCallbacks();
            oWebControl.JS_CreateWnd("playWnd", 360, 159).then(function() {
              init(resolve, props2);
              console.log("\u521B\u5EFA\u64AD\u653E\u5B9E\u4F8B\u540E\u521D\u59CB\u5316\u6210\u529F");
            });
          }, function() {
            console.log("\u542F\u52A8\u63D2\u4EF6\u670D\u52A1\u5931\u8D25 ");
          });
        },
        cbConnectError: function cbConnectError() {
          oWebControl = null;
          window.WebControl.JS_WakeUp("HCVideoSDKWebControl://");
          initCount++;
          if (initCount < 3) {
            setTimeout(function() {
              initPlugin2();
            }, 3e3);
          }
        },
        cbConnectClose: function cbConnectClose(bNormalClose) {
          console.log("cbConnectClose");
          oWebControl = null;
        }
      });
    });
  };
  var setCallbacks = function setCallbacks2() {
    oWebControl.JS_SetWindowControlCallback({
      cbIntegrationCallBack
    });
  };
  var cbIntegrationCallBack = function cbIntegrationCallBack2(oData) {
    showCBInfo(JSON.stringify(oData.responseMsg));
  };
  var init = function init2(resolve, props2) {
    getPubKey(function() {
      console.log(props2.hikconfig, "\u6211");
      var hikConfig = props2.hikconfig;
      var appkey = hikConfig.appKey;
      var secret = setEncrypt(hikConfig.appSecret);
      var ip = hikConfig.ip;
      var playMode = hikConfig.playMode;
      var port = hikConfig.port;
      var snapDir = "D:\\SnapDir";
      var layout = "1x1";
      var enableHTTPS = 1;
      var encryptedFields = "secret";
      var showToolbar = 1;
      var showSmart = 1;
      var buttonIDs = "0,16,256,257,258,259,260,512,513,514,515,516,517,768,769";
      console.log({
        appkey,
        secret,
        ip,
        playMode: 0,
        port,
        snapDir,
        layout
      });
      oWebControl.JS_RequestInterface({
        funcName: "init",
        argument: JSON.stringify({
          appkey,
          secret,
          ip,
          playMode,
          port,
          snapDir,
          layout,
          enableHTTPS,
          encryptedFields,
          showToolbar,
          showSmart,
          buttonIDs
        })
      }).then(function(oData) {
        showCBInfo(JSON.stringify(oData ? oData.responseMsg : ""));
        resolve();
      });
    });
  };
  function getPubKey(callback) {
    oWebControl.JS_RequestInterface({
      funcName: "getRSAPubKey",
      argument: JSON.stringify({
        keyLength: 1024
      })
    }).then(function(oData) {
      if (oData.responseMsg.data) {
        pubKey = oData.responseMsg.data;
        callback();
      }
    });
  }
  function setEncrypt(value) {
    var encrypt = new JSEncrypt();
    encrypt.setPublicKey(pubKey);
    return encrypt.encrypt(value);
  }
  var startPreview = function startPreview2(cameraCode) {
    var streamMode = 0;
    var transMode = 1;
    var gpuMode = 0;
    oWebControl.JS_RequestInterface({
      funcName: "startPreview",
      argument: JSON.stringify({
        cameraIndexCode: cameraCode,
        streamMode,
        transMode,
        gpuMode
      })
    });
  };
  var showCBInfo = function showCBInfo2(szInfo, type) {
    if (type === "error") {
      szInfo = "<div style='color: red;'>" + dateFormat(new Date(), "yyyy-MM-dd hh:mm:ss") + " " + szInfo + "</div>";
    } else {
      szInfo = "<div>" + dateFormat(new Date(), "yyyy-MM-dd hh:mm:ss") + " " + szInfo + "</div>";
    }
  };
  var dateFormat = function dateFormat2(oDate, fmt) {
    var o = {
      "M+": oDate.getMonth() + 1,
      "d+": oDate.getDate(),
      "h+": oDate.getHours(),
      "m+": oDate.getMinutes(),
      "s+": oDate.getSeconds(),
      "q+": Math.floor((oDate.getMonth() + 3) / 3),
      S: oDate.getMilliseconds()
    };
    if (/(y+)/.test(fmt)) {
      fmt = fmt.replace(RegExp.$1, (oDate.getFullYear() + "").substr(4 - RegExp.$1.length));
    }
    for (var k2 in o) {
      if (new RegExp("(" + k2 + ")").test(fmt)) {
        fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k2] : ("00" + o[k2]).substr(("" + o[k2]).length));
      }
    }
    return fmt;
  };
  var closeHikVideo = function closeHikVideo2() {
    dispatch({
      type: "checkVideoUrl",
      video_url: null
    });
    setShow(false);
    oWebControl.JS_HideWnd();
  };
  return /* @__PURE__ */ jsx(Fragment, {
    children: show ? /* @__PURE__ */ jsxs("div", {
      className: "HikVideo",
      children: [/* @__PURE__ */ jsx("div", {
        className: "video_header",
        children: /* @__PURE__ */ jsx("div", {
          className: "vh_right",
          children: /* @__PURE__ */ jsx("img", {
            src: require("../../img/close.png")["default"],
            alt: "",
            onClick: function onClick() {
              return closeHikVideo();
            }
          })
        })
      }), /* @__PURE__ */ jsx("div", {
        id: "playWnd",
        "class": "playWnd"
      })]
    }) : null
  });
};
var Camera = function Camera2(_ref) {
  _ref.viewer;
  var deviceCode = _ref.deviceCode, config = _ref.config;
  console.log(deviceCode, config, "\u7F16\u7801");
  console.log(1);
  var _useState = useState([{
    index: 1,
    name: "\u5217\u8868"
  }, {
    index: 2,
    name: "\u6295\u5730"
  }, {
    index: 3,
    name: "\u6536\u85CF"
  }, {
    index: 4,
    name: "\u89C6\u9891\u5DE1\u903B"
  }]), _useState2 = _slicedToArray(_useState, 1);
  _useState2[0];
  var _useState3 = useState([{
    name: "\u70B9\u8FFD\u67E5",
    children: [{
      device_name: "\u8BBE\u5907\u540D\u79F0"
    }, {
      device_name: "\u8BBE\u5907\u540D\u79F0"
    }, {
      device_name: "\u8BBE\u5907\u540D\u79F0"
    }]
  }, {
    name: "\u7EBF\u8FFD\u67E5",
    children: [{
      device_name: "\u8BBE\u5907\u540D\u79F0"
    }, {
      device_name: "\u8BBE\u5907\u540D\u79F0"
    }, {
      device_name: "\u8BBE\u5907\u540D\u79F0"
    }]
  }]), _useState4 = _slicedToArray(_useState3, 2), tracingList = _useState4[0];
  _useState4[1];
  var _useState5 = useState([{
    name: "\u62A5\u8B66\u8BBE\u5907\u540D\u79F0",
    time: "04/08  16:45:56",
    grade: 1,
    type: "\u751F\u4EBA\u5165\u4FB5\u8B66\u62A5"
  }, {
    name: "\u62A5\u8B66\u8BBE\u5907\u540D\u79F0",
    time: "04/08  16:45:56",
    grade: 2,
    type: "\u751F\u4EBA\u5165\u4FB5\u8B66\u62A5"
  }, {
    name: "\u62A5\u8B66\u8BBE\u5907\u540D\u79F0",
    time: "04/08  16:45:56",
    grade: 1,
    type: "\u751F\u4EBA\u5165\u4FB5\u8B66\u62A5"
  }]), _useState6 = _slicedToArray(_useState5, 2);
  _useState6[0];
  _useState6[1];
  var _useState7 = useState(false), _useState8 = _slicedToArray(_useState7, 2);
  _useState8[0];
  _useState8[1];
  var _useState9 = useState(5), _useState10 = _slicedToArray(_useState9, 2);
  _useState10[0];
  _useState10[1];
  var _useState11 = useState(0), _useState12 = _slicedToArray(_useState11, 2), videoCurrent = _useState12[0], setVideoCurrent = _useState12[1];
  var _useState13 = useState("realTime"), _useState14 = _slicedToArray(_useState13, 2);
  _useState14[0];
  _useState14[1];
  var _useState15 = useState(0), _useState16 = _slicedToArray(_useState15, 2);
  _useState16[0];
  _useState16[1];
  useEffect(function() {
  }, []);
  var videoTab = function videoTab2(index2) {
    setVideoCurrent(index2);
  };
  return /* @__PURE__ */ jsx("div", {
    className: "container",
    children: /* @__PURE__ */ jsxs("div", {
      className: "mainContent clearfix",
      children: [/* @__PURE__ */ jsx(EquipmentOverview, {}), /* @__PURE__ */ jsxs("div", {
        className: "rightBox",
        children: [/* @__PURE__ */ jsxs("div", {
          className: "dotlineTracing",
          children: [/* @__PURE__ */ jsx("div", {
            className: "title",
            children: "\u70B9\u7EBF\u8FFD\u67E5"
          }), /* @__PURE__ */ jsxs("div", {
            className: "chooseQuery",
            children: [/* @__PURE__ */ jsx("div", {
              className: "sameButton point_button",
              onClick: function onClick() {
                return zhuicha("point");
              },
              children: /* @__PURE__ */ jsx("span", {
                children: "\u70B9\u67E5"
              })
            }), /* @__PURE__ */ jsx("div", {
              className: "sameButton line_button",
              onClick: function onClick() {
                return zhuicha("linestring");
              },
              children: /* @__PURE__ */ jsx("span", {
                children: "\u7EBF\u67E5"
              })
            }), /* @__PURE__ */ jsxs("div", {
              className: "export_button",
              children: [" ", /* @__PURE__ */ jsx("img", {
                src: require("./img/icon_frame.png"),
                alt: ""
              }), /* @__PURE__ */ jsx("span", {
                children: "\u5BFC\u51FA"
              })]
            })]
          }), /* @__PURE__ */ jsx("div", {
            className: "tracingList",
            children: tracingList.map(function(item, index2) {
              return /* @__PURE__ */ jsxs("div", {
                className: "tracingItem",
                children: [/* @__PURE__ */ jsxs("div", {
                  className: "tracingItem_title",
                  children: [/* @__PURE__ */ jsx("span", {
                    children: item.name
                  }), /* @__PURE__ */ jsx("img", {
                    src: require("./img/icon_delete.png"),
                    alt: ""
                  })]
                }), /* @__PURE__ */ jsx("div", {
                  className: "dataList",
                  children: /* @__PURE__ */ jsx("ul", {
                    children: item.children.map(function(ele, key) {
                      return /* @__PURE__ */ jsx("li", {
                        onClick: function onClick() {
                          return handelCamera(ele);
                        },
                        children: /* @__PURE__ */ jsxs("span", {
                          children: [key + 1, "\xA0\xA0", ele.device_name]
                        })
                      }, key);
                    })
                  })
                })]
              }, index2);
            })
          })]
        }), /* @__PURE__ */ jsxs("div", {
          className: "videoCtrl",
          children: [/* @__PURE__ */ jsx("div", {
            className: "videoContent",
            children: /* @__PURE__ */ jsx(HikVideo, {
              msgdata: deviceCode,
              hikconfig: config
            })
          }), /* @__PURE__ */ jsx("div", {
            className: "videoButton",
            children: /* @__PURE__ */ jsx("ul", {
              children: ["\u4E91\u53F0\u63A7\u5236", "\u89C6\u9891\u8FFD\u8E2A", "\u89C6\u9891\u540C\u6B65", "\u89C6\u9891\u56F4\u5835", "\u56DE\u653E\u9884\u89C8"].map(function(item, index2) {
                return /* @__PURE__ */ jsx("li", {
                  className: videoCurrent === index2 ? "active_videoButton" : null,
                  onClick: function onClick() {
                    return videoTab(index2);
                  },
                  children: item
                }, index2);
              })
            })
          })]
        }), /* @__PURE__ */ jsx(AlarmON, {})]
      })]
    })
  });
};
export { Camera as default };
//# sourceMappingURL=index.es.js.map
